import numpy
from Cython.Build import cythonize
from setuptools import Extension, find_packages, setup
from sphinx.setup_command import BuildDoc

extensions = [Extension(language="c",
                        name="haslib.fox_goodwin",
                        sources=["src/haslib/fox_goodwin.pyx"],
                        include_dirs=[numpy.get_include()]),
              Extension(language="c",
                        name="haslib.icc_2d_2",
                        sources=["src/haslib/icc_2d_2.pyx"],
                        include_dirs=[numpy.get_include()])]

name = "haslib"
version = "0.1.2"
release = "0.1.2.1"

setup(name='haslib',
      version=version,
      packages=find_packages("src"),
      package_dir={"": "src"},
      requires=['numpy', 'scipy', 'matplotlib', 'cython', 'pillow', 'tabulate'],
      ext_modules=cythonize(extensions),
      cmdclass={'build_sphinx': BuildDoc},
      command_options={
          "build_sphinx": {
              "project": ("setup.py", name),
              "version": ("setup.py", version),
              "release": ("setup.py", release),
              "source_dir": ("setup.py", "docs")}}
      )
